# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::Rect< T > Class Template Reference

Implements the common functions of RectI and RectF. More...

`#include <Rect.hpp>`

List of all members.

## Public Member Functions

virtual const char * | className ()
| Rect (const Rect &other)
| Rect ()
| Rect (T x, T y, T width, T height)
T | x () const
T | y () const
T | width () const
T | height () const
T | bottom () const
T | left () const
T | top () const
T | right () const
void | setX (T x)
void | setY (T y)
void | setWidth (T w)
void | setHeight (T h)
bool | isNull () const
bool | isPoint () const
Rect | intersected (const Rect &other) const
Rect | united (const Rect &other) const
bool | operator< (const Rect &other) const
| Defines a sort of lexicographic sorting that make possible the use of the Rect class with STL containers like std::set, std::map etc.

## Protected Attributes

T | mX
T | mY
T | mWidth
T | mHeight

## Detailed Description

### template<typename T>
class vl::Rect< T >

Implements the common functions of RectI and RectF.

## Constructor & Destructor Documentation

template<typename T>

vl::Rect< T >::Rect | ( | const Rect< T > & | other | ) | `[inline]`

template<typename T>

vl::Rect< T >::Rect | ( |  | ) | `[inline]`

template<typename T>

vl::Rect< T >::Rect | ( | T | x,
|  | T | y,
|  | T | width,
|  | T | height |
| ) |  |  | `[inline]`

## Member Function Documentation

template<typename T>

virtual const char* vl::Rect< T >::className | ( |  | ) | `[inline, virtual]`

Reimplemented in vl::RectI, and vl::RectF.

template<typename T>

T vl::Rect< T >::x | ( |  | ) | const`[inline]`

template<typename T>

T vl::Rect< T >::y | ( |  | ) | const`[inline]`

template<typename T>

T vl::Rect< T >::width | ( |  | ) | const`[inline]`

template<typename T>

T vl::Rect< T >::height | ( |  | ) | const`[inline]`

template<typename T>

T vl::Rect< T >::bottom | ( |  | ) | const`[inline]`

template<typename T>

T vl::Rect< T >::left | ( |  | ) | const`[inline]`

template<typename T>

T vl::Rect< T >::top | ( |  | ) | const`[inline]`

Reimplemented in vl::RectI, and vl::RectF.

template<typename T>

T vl::Rect< T >::right | ( |  | ) | const`[inline]`

Reimplemented in vl::RectI, and vl::RectF.

template<typename T>

void vl::Rect< T >::setX | ( | T | x | ) | `[inline]`

template<typename T>

void vl::Rect< T >::setY | ( | T | y | ) | `[inline]`

template<typename T>

void vl::Rect< T >::setWidth | ( | T | w | ) | `[inline]`

template<typename T>

void vl::Rect< T >::setHeight | ( | T | h | ) | `[inline]`

template<typename T>

bool vl::Rect< T >::isNull | ( |  | ) | const`[inline]`

template<typename T>

bool vl::Rect< T >::isPoint | ( |  | ) | const`[inline]`

template<typename T>

Rect vl::Rect< T >::intersected | ( | const Rect< T > & | other | ) | const`[inline]`

template<typename T>

Rect vl::Rect< T >::united | ( | const Rect< T > & | other | ) | const`[inline]`

template<typename T>

bool vl::Rect< T >::operator< | ( | const Rect< T > & | other | ) | const`[inline]`

Defines a sort of lexicographic sorting that make possible the use of the Rect class with STL containers like std::set, std::map etc.

## Member Data Documentation

template<typename T>

T vl::Rect< T >::mX`[protected]`

template<typename T>

T vl::Rect< T >::mY`[protected]`

template<typename T>

T vl::Rect< T >::mWidth`[protected]`

template<typename T>

T vl::Rect< T >::mHeight`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Rect.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:38 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.